/*===============================*/
/* variable */
/*===============================*/
:root {
  /*============ Colors - Brand & Accent ============*/
  --color-primary: #004680;
  --color-secondary: #0062b3;
  --color-accent: #ad000d;
  --color-link: #00b8ff;

  /*============ Colors - Backgrounds ============*/
  --color-bg-base: #ffffff;
  --color-bg-sub: #eae2dc;
  --color-bg-inverse: #1a1a1a;
  --color-bg-footer: #000000;

  /*============ Colors - Typography ============*/
  --color-text-base: #1a1a1a;
  --color-text-inverse: #ffffff;
  --color-text-muted: #747272;

  /*============ Colors - Decoration (Border/Icon) ============*/
  --color-deco-primary: #004680;
  --color-deco-secondary: #0062b3;
  --color-deco-accent: #ad000d;

  /*============ Typography (Font size) ============*/
  --font-size-xsmall: 1.6rem;
  --font-size-small: 1.8rem;
  --font-size-medium: 2.1rem;
  --font-size-large: 2.4rem;
  --font-size-xlarge: 2.8rem;
  --font-size-annotation: 1.4rem;

  /*============ Typography (Font Weight) ============*/
  --font-weight-regular:400;
  --font-weight-medium: 500;
  --font-weight-bold: 700;

  /*============ Layout & Spacing ============*/

  --space-sm: 0 0.5rem;
  --space-md: 0 1rem;
  --space-lg: 0 3rem;

  /*============ Hover Animation ============*/
  /* standard */
  --hover-opacity: 0.8;
  --hover-opacity-transition: opacity 0.1s ease-out;

  /*============ SNS ============*/
  --color-sns-x: #000000;
}

/*===============================*/
/* Base */
/*===============================*/

html {
  font-size: 1.7857142857142856vw; /*画面幅が560pxの時に10px*/
  font-size: calc(calc(10 / 560) * 100vw); /* 画面幅が560pxの時に10px*/
  height: 100%;
}
@media screen and (min-width: 560px) {
  html {
    font-size: 62.5%;
  }
}

body {
  font-family:m-plus-1p, "ヒラギノ角ゴ pro w3","Hiragino Kaku Gothic pro", "メイリオ", Meiryo, "MS Pゴシック", sans-serif;
  font-weight: var(--font-weight-medium);
  font-style: normal;
  font-size: var(--font-size-xsmall);
  line-height: 1.5;
  color: var(--color-text-base);
  background-color: var(--color-bg-sub);
  overflow-x: clip;
}

img {
  max-width: 100%;
  height: auto;
}

.main,
.wrapper,
.contents {
  width: 100%;
  position: relative;
}

ul,
ol,
li {
  list-style: none;
}

/*===============================*/
/* link */
/*===============================*/
a {
  color: var(--color-text-base);
  text-decoration: none;
  opacity: 1;
}

a:active {
  color: var(--color-text-inverse);
}


a:focus {
  outline: none;
}

.text-link {
  color: var(--color-text-base);
  border-bottom: solid 1px var(--color-text-base);
}

@media (hover: hover) and (pointer: fine) {
  a:hover {
    opacity: var(--hover-opacity);
    transition: var(--hover-opacity-transition);
  }

  .text-link:hover {
    opacity: var(--hover-opacity);
    transition: var(--hover-opacity-transition);
  }
}

/* ===============================
   Button
=============================== */
/* 共通のベーススタイル */
.btn-base {
  --btn-bg: #999;
  --btn-text: #fff;
  --btn-padding: 1.4rem 1.6rem 1.4rem 3.2rem;
  --btn-gap: 1.6rem;
  --btn-height: 6rem;

  display: flex;
  width: fit-content;
  height: var(--btn-height);
  max-width: 100%;
  margin: 0 auto;
  align-items: center;
  justify-content: center;
  gap: var(--btn-gap);
  padding: var(--btn-padding);
  background-color: var(--btn-bg);
  color: var(--btn-text);
  border-radius: 9999px;
  text-decoration: none;
  font-family: m-plus-1p, "ヒラギノ角ゴ pro w3","Hiragino Kaku Gothic pro", "メイリオ", Meiryo, "MS Pゴシック", sans-serif;
  font-size: var(--font-size-medium);
  line-height: 1.2;
  box-sizing: border-box;
  transition:
    opacity 0.2s ease,
    transform 0.2s ease;
  backface-visibility: hidden;
  transform: scale(1);
}
@media (max-width: 768px) {
  .btn-base {
    font-size: var(--font-size-medium);
  }
}

.btn__text {
  font-weight: var(--font-weight-medium);
}

.btn__icon {
  display: block;
  flex-shrink: 0;
}

/* 標準ボタン */
.btn--primary {
  --btn-bg: #49b5a5;
  --btn-text: #fff;
  --btn-padding: 1.4rem 1.6rem 1.4rem 3.2rem;
}

/* Xボタン */
.btn--x {
  --btn-bg: var(--color-sns-x);
  --btn-text: #fff;
  --btn-padding: 1rem 3.2rem;
  --btn-gap: 1.2rem;
  border: solid 0.4rem transparent;
}

.btn__icon--x {
  width: 4rem;
  height: 4rem;
  fill: currentColor;
}

/*============ ボタン内部の各アイコン ============*/
/* 外部リンクアイコン */
.btn__icon--arrow {
  width: 0.9rem;
  height: 0.9rem;
  fill: currentColor;
}

/* プラスアイコン */
.icon-circle-plus {
  width: 2.8rem;
  height: 2.8rem;
  animation: scaleAndRotate 4s ease infinite;
  transform-origin: center;
}

.btn--primary .icon-circle-plus path {
  fill: var(--color-primary);
}
@keyframes scaleAndRotate {
  /* --- 【静止】 0% 〜 10% (0.5秒) --- */
  0%,
  10% {
    transform: scale(1) rotate(0deg);
  }

  /* --- 【1. ぽよん（拡大）】 10% 〜 20% (0.5秒) --- */
  10% {
    transform: scale(1) rotate(0deg);
  }
  12% {
    /* 1.1倍に少し拡大 */
    transform: scale(0.9) rotate(0deg);
  }
  15% {
    /* 1.1倍に少し拡大 */
    transform: scale(1.2) rotate(0deg);
  }
  /* --- 【静止】 20% 〜 30% (0.5秒) --- */
  /* 回転前のタメ（一時停止） */
  21% {
    transform: scale(1) rotate(0deg);
  }

  /* --- 【2. 回転】 30% 〜 45% (0.75秒) --- */
  /* 拡大（scale）は1のまま、回転（rotate）だけさせる */
  45% {
    transform: scale(1) rotate(360deg);
  }

  /* --- 【静止】 45% 〜 100% (2.75秒) --- */
  /* 次のループまで停止 */
  100% {
    transform: scale(1) rotate(360deg);
  }
}

/*============ 各ボタンのhover挙動 ============*/
@media (hover: hover) {
  .btn-base:hover {
    opacity: var(--hover-opacity);
    transition: var(--hover-opacity-transition);
  }

  .btn--primary:hover {
    transform: scale(1.05);
    transition: 0.2s ease-out;
  }

  .btn--x:hover {
    transform: scale(1.05);
    background-color: var(--color-bg-base);
    border: solid 0.4rem var(--color-sns-x);
    transition: 0.2s ease-out;
  }
  .btn--x:hover .btn__text {
    color: var(--color-sns-x);
  }
  .btn--x:hover .btn__icon--x,
  .btn--x:hover .btn__icon--arrow {
    fill: var(--color-sns-x);
  }
}

/*===============================*/
/* table */
/*===============================*/
.c-table {
  width: 100%;
  margin: 1rem auto 2rem;
  border-collapse: collapse;
  border: 0.1rem solid var(--color-text-base);
}

.c-table__head,
.c-table__data {
  border-collapse: collapse;
  padding: 3px;
  width: 45px;
  height: 25px;
  text-align: center;
}

.c-table__head:first-child,
.c-table__data:first-child {
  width: 10rem;
}

.c-table__data {
  color: var(--color-text-base);
  font-size: var(--font-size-small);
  font-weight: var(--font-weight-bold);
  line-height: 1.5;
  padding: 0.7rem 0;
  background-color: var(--color-bg-base);
}

.c-table__head {
  color: var(--color-text-inverse);
  font-size: var(--font-size-small);
  background-color: var(--color-secondary);
}

.c-table__row > .c-table__head,
.c-table__row > .c-table__data {
  border-right: 0.1rem solid var(--color-text-base);
}

.c-table__head .u-deg,
.c-table__data .u-deg {
  display: inline-block;
}

/*===============================*/
/* app-download */
/*===============================*/

.store__badge {
  display: flex;
  align-items: center;
  justify-content: center;
  --BadgeHeight: 70;
}
@media (hover: hover) and (pointer: fine) {
  .store__badge-item:hover {
    --hover-opacity: 0.9;
    opacity: var(--hover-opacity);
    transition: var(--hover-opacity-transition);
  }
}

.store__badge--ios {
  width: 100%;
  max-width: calc((38.3rem * var(--BadgeHeight)) / 140);
  height: auto;
  max-height: calc(var(--BadgeHeight) * 1px);
  margin-right: 1.4rem;
}

.store__badge--ggp {
  width: 100%;
  max-width: calc((47.3rem * var(--BadgeHeight)) / 140);
  height: auto;
  max-height: calc(var(--BadgeHeight) * 1px);
}

.dl {
  position: relative;
  z-index: 1;
  background-color: var(--color-bg-inverse);
  border-bottom: solid 0.3rem var(--color-bg-inverse);
}

.dl::before,
.dl::after {
  content: "";
  display: block;
  width: 100%;
  height: 1px;
}

.dl::before {
  border-top: 1px solid;
}

.dl::after {
  border-bottom: 1px solid;
}

.dl__inner {
  padding: 1.8rem 2rem 2.2rem 2rem;
}

.dl__catch {
  font-size: var(--font-size-medium);
  font-weight: var(--font-weight-bold);
  color: var(--color-text-inverse);
  text-align: center;
  margin-bottom: 1.3rem;
}

/*===============================*/
/* layout */
/*===============================*/

.layout {
  display: grid;
  grid-template-columns: 1fr minmax(0, 560px) 1fr;
}

@media screen and (min-width:1980px){
/* 大型モニター用 */
.layout {
    grid-template-columns:minmax(0, 710px) minmax(0, 560px) minmax(0, 710px);
    justify-content: center;
  }
}

.layout__side {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  width: 100%;
  height: 100vh;
  background-image: var(--side-bg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top center;
  --bg-w: 680; 
  --bg-h: 1080; 
  --rw: max(100%, 100vh * (var(--bg-w) / var(--bg-h))); 
  --rh: max(100% * (var(--bg-h) / var(--bg-w)), 100vh);
}

.layout__side--left {
  left: 0;
  z-index: 0;
  justify-self: end;
  clip-path: polygon(0 -200vh, 200vw -200vh, 200vw 200vh, 0 200vh);
}
.layout__side--right {
  right: 0;
  z-index: 999;
  justify-self: start;
  clip-path: polygon(-200vw -200vh, 100% -200vh, 100% 200vh, -200vw 200vh);
}

.layout__side-inner {
  background-image: var(--inner-bg);
  background-repeat: no-repeat;
  background-size: var(--inner-bg-size);
  background-position: center center;
  height: 100%;
  
}

.layout__main {
  margin: 0 auto;
  max-width: 560px;
  width: 100%;
  z-index: 1;
  background-color: var(--color-bg-base);
}

/*===============================*/
/* section  */
/*===============================*/

.section__inner {
  padding: 0 3rem;
}

.section__read {
  padding: 0 2%;
}
@media screen and (min-width: 560px) {
  .section__read {
    padding: 0 2% 0 4%;
  }
}

/*===============================*/
/* footer */
/*===============================*/

.footer {
  --footer-margin: 6rem;
  --footer-margin-side: 4rem;
  position: relative;
  z-index: 1;
  background-color: var(--color-bg-footer);
}

.footer__inner {
  padding: var(--footer-margin) var(--footer-margin-side);
}

.footer a {
  color: var(--color-text-inverse);
}
/*============ ダウンロードエリア ============*/
.footer__download {
  padding: 0 1.5rem var(--footer-margin);
  display: flex;
  flex-direction: column;
  align-items: center;
}

.footer__download-icon {
  width: 84%;
  margin-bottom: 4.5rem;
}
/*============ リンクエリア ============*/
.footer__links {
  margin-bottom: 6rem;
}

.footer__link-item {
  display: block;
  position: relative;
  width: 100%;
  color: var(--color-text-inverse);
  font-size: var(--font-size-medium);
  font-weight: var(--font-weight-medium);
  letter-spacing: 0.1rem;
  overflow-wrap: break-word;
  font-feature-settings: "palt";
  margin-bottom: 2rem;
  transition: all 0.1s ease-out;
}

.footer__link-item:last-child {
  margin-bottom: 0;
}

/* リンク要素全体の設定 */
.footer__link-item a {
  display: inline-flex;
  align-items: center;
  gap: 1rem;
  color: #ffffff;
  text-decoration: none;
  font-family: m-plus-1p, "ヒラギノ角ゴ pro w3","Hiragino Kaku Gothic pro", "メイリオ", Meiryo, "MS Pゴシック", sans-serif;
}
@media (hover: hover) and (pointer: fine) {
  .footer__link-item a:hover {
    opacity: var(--hover-opacity);
    transition: var(--hover-opacity-transition);
  }
}

.footer__link-item a::before {
  content: "";
  display: block;
  flex-shrink: 0;
  width: 2rem;
  height: 2rem;
  background-image: url("../img/common/icon-link.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.footer__link-item .footer__icon--arrow {
  width: 1.4rem;
  height: 1.4rem;
  fill: currentColor; 
}

/*============ テキスト・注釈・コピーライト ============*/

.footer__text {
  color: var(--color-text-muted);
  font-weight: var(--font-weight-medium);
  letter-spacing: -0.02rem;
}

.footer__note {
  color:var(--color-text-inverse);
  font-size: var(--font-size-annotation);
  line-height: 1.8;
  margin-bottom: 2.5rem;
}

.footer__trademark {
  color: var(--color-text-inverse);
  font-size: 1.1rem;
  padding: 0 1.2rem;
  margin-bottom: var(--footer-margin);
  text-indent: -1em;
  padding-left: 1em;
}

.footer__copyright {
  color: var(--color-text-inverse);
  font-size: var(--font-size-xsmall);
  font-weight: var(--font-weight-regular);
  line-height: 1.7;
  text-align: center;
}

/*===============================*/
/* Utility */
/*===============================*/
.u-dib {
  display: inline-block;
}

.u-deg {
  transform: rotate(0.05deg);
}

.u-tume {
  letter-spacing: -0.5rem;
}

.u-tume-tenkakko {
  letter-spacing: -1.2rem;
}

.u-accent-color {
  color: var(--color-accent);
}

.u-accent-border {
  border-bottom: solid 0.2rem var(--color-text-base);
}

.u-accent {
  color: var(--color-accent);
  border-bottom: solid 0.1rem var(--color-accent);
}

.u-active-color:active {
  color: var(--color-text-base);
}